﻿# FNZCM2: Album Metadata Json

## Album: Object

| name | type  | example  | remark |
|----------------------------------|
| Id | string | 6aa977f03314e4b4 | HEX Tick Stamp |
| Name | string | Brrr |
| ReleaseDate | string  | YYYYMMDD

## Discs: Array

| name | type  | example  | remark |
|----------------------------------|
| Id | string | 6aa977f03314e4b4 | HEX Tick Stamp |
| FolderName | string | disc-01-Brr |
| DiscNumber | int | 1 | 1 based | 
| CatalogNumber | string | VVXX-01253 | From file tag or vgmdb
| AudioEncoding | string | FLAC/AAC/MP3 |  Just Codec, Don't mix up with container

## Tracks: Array

| name | type  | example  | remark |
|----------------------------------|
| Id | string | 6aa977f03314e4b4 | HEX Tick Stamp |
| DiscId | string | 6aa977f03314e4b4 | It's own disc |
| TrackNumber | int | 1 | 1 based | 
| Title | string | song name | From tag or filename |
| FileName | string | 01.Brrr.flac | |
| Duration | double | | ms |
| Artist | Array of string | | |
| Size    | int | | bytes |
| BitRate | int | | bps |
| Tags | Dic<string,string> | ... | From tag|

## AdditionalFiles: Array

| name | type  | example  | remark |
|----------------------------------|
| FileName | string | log/accurip |
| Size | int | | bytes