﻿# FNZCM2: Cache Metadata Json

## Albums: Array

Inherit from `AlbumMetadataJson`

| name | type  | example  | remark |
|----------------------------------|
| Icon | string | album-xx/pics/icon.webp |
| SearchTags | Array of string | ["ar:aa","ar:bb","gen:game"] | For quick search

## Discs: Array

Inherit from `AlbumMetadataJson` / Disc

| name | type  | example  | remark |
|----------------------------------|
| AlbumId | string | 6aa977f03314e4b4 | For invert nav|
| Picture | string | album-xx/pics/disc/disc-xx.webp |
| SearchTags | Array of string |  |

## Tracks: Array

Inherit from `AlbumMetadataJson` / Track

| name | type  | example  | remark |
|----------------------------------|
| Url | string | album-xx/disc-xx/xx.flac |
| SearchTags | Array of string | |

## Pics: Array

| name | type  | example  | remark |
|----------------------------------|
| AlbumId | string | 6aa977f03314e4b4 |
| Url | string | album-xx/pics/booklet/page-001.webp |  |
| Kind | string | one of booklet/pack/disc/icon/default |  |

## AdditionalFiles: Array

Inherit from `AlbumMetadataJson` / AdditionalFiles

| name | type  | example  | remark |
|----------------------------------|
| AlbumId | string | 6aa977f03314e4b4 |
| Url | string | album-xx/files/disc-01.log |
