﻿# RangeRequest

## PhysicalFile -- enableRangeProcessing

```CSharp
[HttpGet]
public IActionResult GetFile()
{
    var filePath = "路径";
    var contentType = "application/octet-stream"; // 适当的 MIME 类型
    var fileName = "文件名.ext"; // 文件名

    // 使用 PhysicalFile 并启用 Range 支持
    return PhysicalFile(filePath, contentType, enableRangeProcessing: true, fileDownloadName: fileName);
}
```
